TulipTulip Docs
Produits

Créer un produit

Ce endpoint permet de créer un nouveau produit.

POST
/products
key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.mytulip.io/v2/products" \  -H "Content-Type: application/json" \  -d '{    "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",    "product_type": "bike",    "title": "string",    "data": {      "product_subtype": "standard",      "brand": "SuperVélo",      "model": "VTT"    },    "value_excl": 1000  }'
{
  "status": "success",
  "product": {
    "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
    "product_type": "bike",
    "title": "string",
    "description": "string",
    "data": {
      "product_subtype": "standard",
      "brand": "SuperVélo",
      "model": "VTT"
    },
    "purchased_date": "2019-08-24T14:15:22Z",
    "value_excl": 1000
  }
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}
{
  "status": "string",
  "type": "string",
  "message": "string",
  "execution_id": "string"
}

Que pensez-vous de cette page ?